LibreOffice: com::sun::star::uno::Mapping Class Reference

LibreOffice LibreOffice 26.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
com::sun::star::uno::Mapping Class Reference

C++ wrapper for C uno_Mapping. More...

`#include <mapping.hxx>`

## Public Member Functions
| Mapping (const ::rtl::OUString &rFrom, const ::rtl::OUString &rTo, const ::rtl::OUString &rAddPurpose=::rtl::OUString())
| Holds a mapping from the specified source to the specified destination by environment type names.
| Mapping (uno_Environment *pFrom, uno_Environment *pTo, const ::rtl::OUString &rAddPurpose=::rtl::OUString())
| Holds a mapping from the specified source to the specified destination.
| Mapping (const Environment &rFrom, const Environment &rTo, const ::rtl::OUString &rAddPurpose=::rtl::OUString())
| Holds a mapping from the specified source to the specified destination environment.
| Mapping (uno_Mapping *pMapping=NULL)
| Constructor.
| Mapping (const Mapping &rMapping)
| Copy constructor.
| ~Mapping ()
| Destructor.
Mapping & | operator= (uno_Mapping *pMapping)
| Sets a given mapping.
Mapping & | operator= (const Mapping &rMapping)
| Sets a given mapping.
uno_Mapping * | get () const
| Provides a pointer to the C mapping.
bool | is () const
| Tests if a mapping is set.
void | clear ()
| Releases a set mapping.
void * | mapInterface (void *pInterface, typelib_InterfaceTypeDescription *pTypeDescr) const
| Maps an interface from one environment to another.
void * | mapInterface (void *pInterface, typelib_TypeDescription *pTypeDescr) const
| Maps an interface from one environment to another.
void * | mapInterface (void *pInterface, const css::uno::Type &rType) const
| Maps an interface from one environment to another.
void | mapInterface (void **ppOut, void *pInterface, typelib_InterfaceTypeDescription *pTypeDescr) const
| Maps an interface from one environment to another.
void | mapInterface (void **ppOut, void *pInterface, typelib_TypeDescription *pTypeDescr) const
| Maps an interface from one environment to another.
void | mapInterface (void **ppOut, void *pInterface, const css::uno::Type &rType) const
| Maps an interface from one environment to another.

## Detailed Description

C++ wrapper for C uno_Mapping.

See also
  uno_Mapping

## Constructor & Destructor Documentation

## ◆ Mapping() [1/5]

com::sun::star::uno::Mapping::Mapping | ( | const ::rtl::OUString & | rFrom,
|  | const ::rtl::OUString & | rTo,
|  | const ::rtl::OUString & | rAddPurpose = ::rtl::OUString() )
| inline

Holds a mapping from the specified source to the specified destination by environment type names.

Parameters

  rFrom | type name of source environment
  rTo | type name of destination environment
  rAddPurpose | additional purpose

## ◆ Mapping() [2/5]

com::sun::star::uno::Mapping::Mapping | ( | uno_Environment * | pFrom,
|  | uno_Environment * | pTo,
|  | const ::rtl::OUString & | rAddPurpose = ::rtl::OUString() )
| inline

Holds a mapping from the specified source to the specified destination.

Parameters

  pFrom | source environment
  pTo | destination environment
  rAddPurpose | additional purpose

## ◆ Mapping() [3/5]

com::sun::star::uno::Mapping::Mapping | ( | const Environment & | rFrom,
|  | const Environment & | rTo,
|  | const ::rtl::OUString & | rAddPurpose = ::rtl::OUString() )
| inline

Holds a mapping from the specified source to the specified destination environment.

Parameters

  rFrom | source environment
  rTo | destination environment
  rAddPurpose | additional purpose

## ◆ Mapping() [4/5]

com::sun::star::uno::Mapping::Mapping | ( | uno_Mapping * | pMapping = NULL | ) |
| inline

Constructor.

Parameters

  pMapping | another mapping

## ◆ Mapping() [5/5]

com::sun::star::uno::Mapping::Mapping | ( | const Mapping & | rMapping | ) |
| inline

Copy constructor.

Parameters

  rMapping | another mapping

## ◆ ~Mapping()

com::sun::star::uno::Mapping::~Mapping | ( |  | ) |
| inline

Destructor.

## Member Function Documentation

## ◆ clear()

void com::sun::star::uno::Mapping::clear | ( |  | ) |
| inline

Releases a set mapping.

## ◆ get()

uno_Mapping * com::sun::star::uno::Mapping::get | ( |  | ) | const
| inline

Provides a pointer to the C mapping.

The returned mapping is NOT acquired!

Returns
  UNacquired C mapping

## ◆ is()

bool com::sun::star::uno::Mapping::is | ( |  | ) | const
| inline

Tests if a mapping is set.

Returns
  true if a mapping is set

## ◆ mapInterface() [1/6]

void com::sun::star::uno::Mapping::mapInterface | ( | void ** | ppOut,
|  | void * | pInterface,
|  | const css::uno::Type & | rType ) const
| inline

Maps an interface from one environment to another.

Parameters

  ppOut | inout mapped interface
  pInterface | source interface
  rType | type of interface to be mapped

## ◆ mapInterface() [2/6]

void com::sun::star::uno::Mapping::mapInterface | ( | void ** | ppOut,
|  | void * | pInterface,
|  | typelib_InterfaceTypeDescription * | pTypeDescr ) const
| inline

Maps an interface from one environment to another.

Parameters

  ppOut | inout mapped interface
  pInterface | source interface
  pTypeDescr | type description of interface

## ◆ mapInterface() [3/6]

void com::sun::star::uno::Mapping::mapInterface | ( | void ** | ppOut,
|  | void * | pInterface,
|  | typelib_TypeDescription * | pTypeDescr ) const
| inline

Maps an interface from one environment to another.

Parameters

  ppOut | inout mapped interface
  pInterface | source interface
  pTypeDescr | type description of interface

## ◆ mapInterface() [4/6]

void * com::sun::star::uno::Mapping::mapInterface | ( | void * | pInterface,
|  | const css::uno::Type & | rType ) const
| inline

Maps an interface from one environment to another.

Parameters

  pInterface | source interface
  rType | type of interface

Returns
  mapped interface

## ◆ mapInterface() [5/6]

void * com::sun::star::uno::Mapping::mapInterface | ( | void * | pInterface,
|  | typelib_InterfaceTypeDescription * | pTypeDescr ) const
| inline

Maps an interface from one environment to another.

Parameters

  pInterface | source interface
  pTypeDescr | type description of interface

Returns
  mapped interface

## ◆ mapInterface() [6/6]

void * com::sun::star::uno::Mapping::mapInterface | ( | void * | pInterface,
|  | typelib_TypeDescription * | pTypeDescr ) const
| inline

Maps an interface from one environment to another.

Parameters

  pInterface | source interface
  pTypeDescr | type description of interface

Returns
  mapped interface

## ◆ operator=() [1/2]

Mapping & com::sun::star::uno::Mapping::operator= | ( | const Mapping & | rMapping | ) |
| inline

Sets a given mapping.

Parameters

  rMapping | another mapping

Returns
  this mapping

## ◆ operator=() [2/2]

Mapping & com::sun::star::uno::Mapping::operator= | ( | uno_Mapping * | pMapping | ) |
| inline

Sets a given mapping.

Parameters

  pMapping | another mapping

Returns
  this mapping

The documentation for this class was generated from the following file:

- uno/mapping.hxx